#include <config.h>


/*
typedef struct __attribute__((__packed__)) s_configBlock {
    char deviceName[16];
    uint8_t macAddress[6];
    char brokerName[64];
    char watchdogTopic[64];
    char startupTopic[64];
    char statusTopic[64];
    char mbusDataTopic[64];
    char syslogServerName[64];
} t_configBlock;
*/

t_configBlock defaultConfigBlock = {
    .deviceName = "MBGW3",
    .macAddress = { 0x00, 0xA0, 0x57, 0x05, 0x3E, 0x0D },
    .brokerName = "mqttbroker",
    .watchdogTopic = "IoT/Watchdog",
    .startupTopic = "IoT/MBGW3/Startup",
    .statusTopic = "IoT/MBGW3/Status",
    .mbusDataTopic = "IoT/MBGW3/Measurement",
    .syslogServerName = "syslogserver",
};


t_configBlock* getConfig() {
    return &defaultConfigBlock;
}